REST API v1
Audit
Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.
List audit log entries
GET /audit-log
Scope audit:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
from | query · string | |
to | query · string | |
actor_type | query · string | One of: user, ai, rule, api_key, system, customer |
actor_id | query · integer | |
action | query · string | |
object_type | query · string | |
object_id | query · string | |
result | query · string | One of: success, denied, failed |
product_id | query · string | |
before | query · string | |
limit | query · integer |
Check the audit log hash chain
GET /audit-log/verify
Scope audit:read · Cost 1
List read-access log entries
GET /read-access-log
Scope audit:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
user_id | query · integer | |
contact_id | query · string | |
object_type | query · string | One of: conversation, contact, export, protected_field, contact_field, conversation_field |
object_id | query · integer | |
from | query · string | |
to | query · string | |
before | query · string | |
limit | query · integer |